import ESM_COMPAT_Module from "node:module";
import { fileURLToPath as ESM_COMPAT_fileURLToPath } from 'node:url';
import { dirname as ESM_COMPAT_dirname } from 'node:path';
const __filename = ESM_COMPAT_fileURLToPath(import.meta.url);
const __dirname = ESM_COMPAT_dirname(__filename);
const require = ESM_COMPAT_Module.createRequire(import.meta.url);
var t = /* @__PURE__ */ ((e) => typeof require < "u" ? require : typeof Proxy < "u" ? new Proxy(e, {
  get: (a, o) => (typeof require < "u" ? require : a)[o]
}) : e)(function(e) {
  if (typeof require < "u") return require.apply(this, arguments);
  throw Error('Dynamic require of "' + e + '" is not supported');
});

// src/bin/index.ts
import { spawn as n } from "node:child_process";
import { readFileSync as p } from "node:fs";
import { dirname as i, join as k } from "node:path";

// src/common/versions.ts
var s = {
  "@storybook/addon-a11y": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/addon-docs": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/addon-jest": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/addon-links": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/addon-onboarding": "0.0.0-pr-31759-sha-5376b07e",
  "storybook-addon-pseudo-states": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/addon-themes": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/addon-vitest": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/builder-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/builder-webpack5": "0.0.0-pr-31759-sha-5376b07e",
  storybook: "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/angular": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/ember": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/html-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/nextjs": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/nextjs-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/preact-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/react-native-web-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/react-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/react-webpack5": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/server-webpack5": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/svelte-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/sveltekit": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/vue3-vite": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/web-components-vite": "0.0.0-pr-31759-sha-5376b07e",
  sb: "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/cli": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/codemod": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/core-webpack": "0.0.0-pr-31759-sha-5376b07e",
  "create-storybook": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/csf-plugin": "0.0.0-pr-31759-sha-5376b07e",
  "eslint-plugin-storybook": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/react-dom-shim": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/preset-create-react-app": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/preset-react-webpack": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/preset-server-webpack": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/html": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/preact": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/react": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/server": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/svelte": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/vue3": "0.0.0-pr-31759-sha-5376b07e",
  "@storybook/web-components": "0.0.0-pr-31759-sha-5376b07e"
};

// src/bin/index.ts
var r = process.argv.slice(2);
if (["dev", "build", "index"].includes(r[0]))
  t("storybook/internal/cli/bin");
else {
  let e;
  if (r[0] === "init") {
    let o;
    try {
      o = t.resolve("create-storybook/package.json");
    } catch {
    }
    o ? JSON.parse(p(o, "utf-8")).version === s["create-storybook"] && (e = [
      "node",
      k(i(o), "bin", "index.cjs"),
      ...r.slice(1)
    ]) : e = ["npx", "--yes", `create-storybook@${s.storybook}`, ...r.slice(1)];
  } else {
    let o;
    try {
      o = t.resolve("@storybook/cli/package.json");
    } catch {
    }
    o ? JSON.parse(p(o, "utf-8")).version === s["@storybook/cli"] && (e = ["node", k(i(o), "bin", "index.cjs"), ...r]) : e = ["npx", "--yes",
    `@storybook/cli@${s.storybook}`, ...r];
  }
  e || (console.error("Could not run storybook cli, please report this as a bug"), process.exit(1)), n(e[0], e.slice(1), { stdio: "inherit",
  shell: !0 }).on("exit", (o) => {
    o != null && process.exit(o), process.exit(1);
  });
}
